## kdegraphics-thumbnailers 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(kdegraphics-thumbnailers)

set(QT_MIN_VERSION "5.15.2")
set(KF_MIN_VERSION "5.92.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMOptionalAddSubdirectory)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(ECMDeprecationSettings)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui)
find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS KIO)
find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Archive)
add_definitions(-DQT_USE_QSTRINGBUILDER)

option(DISABLE_MOBIPOCKET "Disable the mobipocket thumbnailer." OFF)

find_package(KF${QT_MAJOR_VERSION}KExiv2)
set_package_properties("KF${QT_MAJOR_VERSION}KExiv2"    PROPERTIES
                       DESCRIPTION "A library for reading and writing image metadata"
                       URL         "www.kde.org"
                       TYPE        OPTIONAL
                       PURPOSE     "Required to build the RAW thumbnailer"
)

find_package(KF${QT_MAJOR_VERSION}KDcraw)
set_package_properties("KF${QT_MAJOR_VERSION}KDcraw"    PROPERTIES
                       DESCRIPTION "A library for accessing raw files"
                       URL         "www.kde.org"
                       TYPE        OPTIONAL
                       PURPOSE     "Required to build the RAW thumbnailer"
)

if (DISABLE_MOBIPOCKET)
    set(MOBIPOCKET_REQUIRED_TYPE "OPTIONAL")
    set(DISABLE_MOBIPOCKET_TEXT "")
else()
    set(MOBIPOCKET_REQUIRED_TYPE "REQUIRED")
    set(DISABLE_MOBIPOCKET_TEXT "Disable with DISABLE_MOBIPOCKET")
endif()

if(QT_MAJOR_VERSION STREQUAL "6")
    find_package(QMobipocket6)
    set_package_properties("QMobipocket6"    PROPERTIES
                        DESCRIPTION "A library for accessing mobipocket files"
                        URL         "www.kde.org"
                        TYPE        ${MOBIPOCKET_REQUIRED_TYPE}
                        PURPOSE     "Required to build the mobipocket thumbnailer. ${DISABLE_MOBIPOCKET_TEXT}"
    )
else()
    find_package(QMobipocket)
    set_package_properties("QMobipocket"    PROPERTIES
                        DESCRIPTION "A library for accessing mobipocket files"
                        URL         "www.kde.org"
                        TYPE        ${MOBIPOCKET_REQUIRED_TYPE}
                        PURPOSE     "Required to build the mobipocket thumbnailer. ${DISABLE_MOBIPOCKET_TEXT}"
    )
endif()


ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.100.0
    )

ecm_optional_add_subdirectory(ps)

if(KF${QT_MAJOR_VERSION}KExiv2_FOUND AND KF${QT_MAJOR_VERSION}KDcraw_FOUND)
ecm_optional_add_subdirectory(raw)
endif()

ecm_optional_add_subdirectory(blend)

if(QMobipocket6_FOUND OR QMobipocket_FOUND)
ecm_optional_add_subdirectory(mobipocket)
endif()

install(FILES org.kde.kdegraphics-thumbnailers.metainfo.xml
        DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== mobipocket/CMakeLists.txt ===
kcoreaddons_add_plugin(mobithumbnail INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/thumbcreator")

target_sources(mobithumbnail PRIVATE mobithumbnail.cpp)

target_link_libraries(mobithumbnail KF${QT_MAJOR_VERSION}::KIOCore KF${QT_MAJOR_VERSION}::KIOGui Qt::Gui)

if (QT_MAJOR_VERSION STREQUAL "5")
    target_link_libraries(mobithumbnail qmobipocket)
else()
    target_link_libraries(mobithumbnail QMobipocket6)
endif()

=== debian/changelog ===
kdegraphics-thumbnailers (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:41:31 +0200

kdegraphics-thumbnailers (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:03:22 +0000

kdegraphics-thumbnailers (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:50:36 +0000

kdegraphics-thumbnailers (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:42:14 -0700

=== debian/control ===
Source: kdegraphics-thumbnailers
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               libkf5archive-dev (>= 5.90.0~),
               libkf5kdcraw-dev (>= 23.08.5~),
               libkf5kexiv2-dev (>= 23.08.5~),
               libkf5kio-dev (>= 5.90.0~),
               libqmobipocket-dev (>= 4:23.08.5~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-thumbnailers
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-thumbnailers
Rules-Requires-Root: no

Package: kdegraphics-thumbnailers
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ghostscript
Replaces: kdegraphics-mobipocket (<< 4:22.03.90~)
Breaks: kdegraphics-mobipocket (<< 4:22.03.90~)
Description: graphics file format thumbnailers for KDE SC
 These plugins allow KDE software to create thumbnails for several
 advanced graphic file formats (PS, RAW).
 .
 This package is part of the KDE graphics module.

## kdegraphics-thumbnailers 24.08.1

=== debian/changelog ===
kdegraphics-thumbnailers (4:24.08.1-0ubuntu2) oracular; urgency=medium

  * Restore building with raw image support.

 -- Rik Mills <rikmills@kde.org>  Sat, 14 Sep 2024 09:54:07 +0100

kdegraphics-thumbnailers (4:24.08.1-0ubuntu1) oracular; urgency=medium

  * New uptream release (24.08.1)
  * Build without optional raw support until we have libkdcraw.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Sep 2024 14:03:41 +0100

kdegraphics-thumbnailers (4:24.08.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Aug 2024 23:32:36 +0200

kdegraphics-thumbnailers (4:24.05.2-1) experimental; urgency=medium

  [ Debian Qt/KDE Maintainers ]
  * New upstream release (24.05.2).

  [ Scarlett Moore ]
  * Add myself to uploaders.
  * Update dependencies according to cmake.
  * Bump standards version 4.7.0, no changes required. 
  * Remove inactive uploaders, thanks for your work.
  * Remove kf5 from rules.
  * Refresh copyright.
  * Override auto configure to set QT_MAJOR_VERSION.
  * Add bug information to metadata; it does not have a product.

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 15 Aug 2024 03:17:35 -0700

=== debian/control ===
Source: kdegraphics-thumbnailers
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               libkdcrawqt6-dev (>= 24.05.2~),
               libkexiv2qt6-dev (>= 24.05.1~),
               libkf6archive-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libqmobipocket6-dev (>= 4:24.05.2~),
               qt6-base-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-thumbnailers
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-thumbnailers.git
Rules-Requires-Root: no

Package: kdegraphics-thumbnailers
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: ghostscript,
Replaces: kdegraphics-mobipocket (<< 4:22.12.0-1),
Breaks: kdegraphics-mobipocket (<< 4:22.12.0-1),
Description: graphics file format thumbnailers for KDE SC
 These plugins allow KDE software to create thumbnails for several
 advanced graphic file formats (PS, RAW).
 .
 This package is part of the KDE graphics module.

## kdegraphics-thumbnailers 24.08.2

=== debian/changelog ===
kdegraphics-thumbnailers (4:24.08.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.2)
  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Nov 2024 10:37:52 +0000

=== debian/control ===
Source: kdegraphics-thumbnailers
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               libkdcrawqt6-dev (>= 24.08.2~),
               libkexiv2qt6-dev (>= 24.08.2~),
               libkf6archive-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libqmobipocket6-dev (>= 4:24.08.2~),
               qt6-base-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-thumbnailers
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-thumbnailers
Rules-Requires-Root: no

Package: kdegraphics-thumbnailers
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: ghostscript,
Replaces: kdegraphics-mobipocket (<< 4:22.12.0-1),
Breaks: kdegraphics-mobipocket (<< 4:22.12.0-1),
Description: graphics file format thumbnailers for KDE SC
 These plugins allow KDE software to create thumbnails for several
 advanced graphic file formats (PS, RAW).
 .
 This package is part of the KDE graphics module.

## kdegraphics-thumbnailers 24.12.0

=== debian/changelog ===
kdegraphics-thumbnailers (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Dec 2024 09:14:25 +0100

=== debian/control ===
Source: kdegraphics-thumbnailers
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               libkdcrawqt6-dev (>= 24.05.2~),
               libkexiv2qt6-dev (>= 24.05.1~),
               libkf6archive-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libqmobipocket6-dev (>= 4:24.05.2~),
               qt6-base-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-thumbnailers
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-thumbnailers.git
Rules-Requires-Root: no

Package: kdegraphics-thumbnailers
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: ghostscript,
Replaces: kdegraphics-mobipocket (<< 4:22.12.0-1),
Breaks: kdegraphics-mobipocket (<< 4:22.12.0-1),
Description: graphics file format thumbnailers for KDE SC
 These plugins allow KDE software to create thumbnails for several
 advanced graphic file formats (PS, RAW).
 .
 This package is part of the KDE graphics module.

## kdegraphics-thumbnailers 24.12.1

=== debian/changelog ===
kdegraphics-thumbnailers (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:29:43 +0000

kdegraphics-thumbnailers (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:10:32 +0000

kdegraphics-thumbnailers (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:06:52 +0000

kdegraphics-thumbnailers (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 20:53:36 +0000

kdegraphics-thumbnailers (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:39:22 +0000

=== debian/control ===
Source: kdegraphics-thumbnailers
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               libkdcrawqt6-dev (>= 24.12.1~),
               libkexiv2qt6-dev (>= 24.12.1~),
               libkf6archive-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libqmobipocket6-dev (>= 4:24.12.1~),
               qt6-base-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-thumbnailers
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-thumbnailers
Rules-Requires-Root: no

Package: kdegraphics-thumbnailers
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: ghostscript,
Replaces: kdegraphics-mobipocket (<< 4:22.12.0-1),
Breaks: kdegraphics-mobipocket (<< 4:22.12.0-1),
Description: graphics file format thumbnailers for KDE SC
 These plugins allow KDE software to create thumbnails for several
 advanced graphic file formats (PS, RAW).
 .
 This package is part of the KDE graphics module.

## kdegraphics-thumbnailers 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,16 +23,26 @@
 
 option(DISABLE_MOBIPOCKET "Disable the mobipocket thumbnailer." OFF)
 
-find_package(KF${QT_MAJOR_VERSION}KExiv2)
-set_package_properties("KF${QT_MAJOR_VERSION}KExiv2"    PROPERTIES
+if(QT_MAJOR_VERSION STREQUAL "6")
+    set(KExiv2PackageName KExiv2Qt6)
+else()
+    set(KExiv2PackageName KF5KExiv2)
+endif()
+find_package(${KExiv2PackageName})
+set_package_properties(${KExiv2PackageName}    PROPERTIES
                        DESCRIPTION "A library for reading and writing image metadata"
                        URL         "www.kde.org"
                        TYPE        OPTIONAL
                        PURPOSE     "Required to build the RAW thumbnailer"
 )
 
-find_package(KF${QT_MAJOR_VERSION}KDcraw)
-set_package_properties("KF${QT_MAJOR_VERSION}KDcraw"    PROPERTIES
+if(QT_MAJOR_VERSION STREQUAL "6")
+    set(KDcrawPackageName KDcrawQt6)
+else()
+    set(KDcrawPackageName KF5KDcraw)
+endif()
+find_package(${KDcrawPackageName})
+set_package_properties(${KDcrawPackageName}    PROPERTIES
                        DESCRIPTION "A library for accessing raw files"
                        URL         "www.kde.org"
                        TYPE        OPTIONAL
@@ -71,7 +81,7 @@
 
 ecm_optional_add_subdirectory(ps)
 
-if(KF${QT_MAJOR_VERSION}KExiv2_FOUND AND KF${QT_MAJOR_VERSION}KDcraw_FOUND)
+if(${KExiv2PackageName}_FOUND AND ${KDcrawPackageName}_FOUND)
 ecm_optional_add_subdirectory(raw)
 endif()
 
@@ -84,4 +94,4 @@
 install(FILES org.kde.kdegraphics-thumbnailers.metainfo.xml
         DESTINATION ${KDE_INSTALL_METAINFODIR})
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== raw/CMakeLists.txt ===
kcoreaddons_add_plugin(rawthumbnail INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/thumbcreator")

target_sources(rawthumbnail PRIVATE
    rawcreator.cpp
)

target_link_libraries(rawthumbnail
    KF${QT_MAJOR_VERSION}::KIOGui
    Qt::Gui
)

if(QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(rawthumbnail
        KDcrawQt6
        KExiv2Qt6
    )
else()
    target_link_libraries(rawthumbnail
        KF5::KDcraw
        KF5::KExiv2
    )
endif()

=== debian/changelog ===
kdegraphics-thumbnailers (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:40:22 +0000

kdegraphics-thumbnailers (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:14:49 +0000

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
-               libkdcrawqt6-dev (>= 24.12.1~),
-               libkexiv2qt6-dev (>= 24.12.1~),
+               libkdcrawqt6-dev (>= 24.12.3~),
+               libkexiv2qt6-dev (>= 24.12.3~),
                libkf6archive-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
-               libqmobipocket6-dev (>= 4:24.12.1~),
+               libqmobipocket6-dev (>= 4:24.12.3~),
                qt6-base-dev (>= 6.5.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers

## kdegraphics-thumbnailers 25.04.0

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.04.0-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * Team upload.
  * New upstream release (25.04.0).

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Apr 2025 15:38:29 -0400

kdegraphics-thumbnailers (4:25.03.90-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * Team upload.
  * New upstream release candidate (25.03.90).
  * debian/control: Bump Standards-Version to 4.7.2.

 -- Boyuan Yang <byang@debian.org>  Wed, 09 Apr 2025 18:12:27 -0400

=== debian/control ===
Source: kdegraphics-thumbnailers
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               libkdcrawqt6-dev (>= 24.05.2~),
               libkexiv2qt6-dev (>= 24.05.1~),
               libkf6archive-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libqmobipocket6-dev (>= 4:24.05.2~),
               qt6-base-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-thumbnailers
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdegraphics-thumbnailers.git
Rules-Requires-Root: no

Package: kdegraphics-thumbnailers
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: ghostscript,
Replaces: kdegraphics-mobipocket (<< 4:22.12.0-1),
Breaks: kdegraphics-mobipocket (<< 4:22.12.0-1),
Description: graphics file format thumbnailers for KDE SC
 These plugins allow KDE software to create thumbnails for several
 advanced graphic file formats (PS, RAW).
 .
 This package is part of the KDE graphics module.

## kdegraphics-thumbnailers 25.04.3

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:41:18 +0100

kdegraphics-thumbnailers (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:43:03 +0100

kdegraphics-thumbnailers (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:04:59 +0100

kdegraphics-thumbnailers (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:47:15 +0100

=== debian/control ===
Source: kdegraphics-thumbnailers
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               libkdcrawqt6-dev (>= 25.04.3~),
               libkexiv2qt6-dev (>= 25.04.3~),
               libkf6archive-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libqmobipocket6-dev (>= 4:25.04.3~),
               qt6-base-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-thumbnailers
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-thumbnailers
Rules-Requires-Root: no

Package: kdegraphics-thumbnailers
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: ghostscript,
Replaces: kdegraphics-mobipocket (<< 4:22.12.0-1),
Breaks: kdegraphics-mobipocket (<< 4:22.12.0-1),
Description: graphics file format thumbnailers for KDE SC
 These plugins allow KDE software to create thumbnails for several
 advanced graphic file formats (PS, RAW).
 .
 This package is part of the KDE graphics module.

## kdegraphics-thumbnailers 25.07.80

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:08:51 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
-               libkdcrawqt6-dev (>= 25.04.3~),
-               libkexiv2qt6-dev (>= 25.04.3~),
+               libkdcrawqt6-dev (>= 25.07.80~),
+               libkexiv2qt6-dev (>= 25.07.80~),
                libkf6archive-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
-               libqmobipocket6-dev (>= 4:25.04.3~),
+               libqmobipocket6-dev (>= 4:25.07.80~),
                qt6-base-dev (>= 6.5.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers

## kdegraphics-thumbnailers 25.07.90

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:43:05 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
-               libkdcrawqt6-dev (>= 25.07.80~),
-               libkexiv2qt6-dev (>= 25.07.80~),
+               libkdcrawqt6-dev (>= 25.07.90~),
+               libkexiv2qt6-dev (>= 25.07.90~),
                libkf6archive-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
-               libqmobipocket6-dev (>= 4:25.07.80~),
+               libqmobipocket6-dev (>= 4:25.07.90~),
                qt6-base-dev (>= 6.5.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers

## kdegraphics-thumbnailers 25.08.0

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:51:25 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
-               libkdcrawqt6-dev (>= 25.07.90~),
-               libkexiv2qt6-dev (>= 25.07.90~),
+               libkdcrawqt6-dev (>= 25.08.0~),
+               libkexiv2qt6-dev (>= 25.08.0~),
                libkf6archive-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
-               libqmobipocket6-dev (>= 4:25.07.90~),
+               libqmobipocket6-dev (>= 4:25.08.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers

## kdegraphics-thumbnailers 25.08.1

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:07:03 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
-               libkdcrawqt6-dev (>= 25.08.0~),
-               libkexiv2qt6-dev (>= 25.08.0~),
+               libkdcrawqt6-dev (>= 25.08.1~),
+               libkexiv2qt6-dev (>= 25.08.1~),
                libkf6archive-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
-               libqmobipocket6-dev (>= 4:25.08.0~),
+               libqmobipocket6-dev (>= 4:25.08.1~),
                qt6-base-dev (>= 6.5.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers

## kdegraphics-thumbnailers 25.08.2

=== ps/CMakeLists.txt ===
kcoreaddons_add_plugin(gsthumbnail INSTALL_NAMESPACE "kf6/thumbcreator")

target_sources(gsthumbnail PRIVATE
    gscreator.cpp
    dscparse.cpp
    dscparse_adapter.cpp
)

target_link_libraries(gsthumbnail
    KF6::KIOGui
    Qt::Gui
)

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:43:44 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
-               libkdcrawqt6-dev (>= 25.08.1~),
-               libkexiv2qt6-dev (>= 25.08.1~),
+               libkdcrawqt6-dev (>= 25.08.2~),
+               libkexiv2qt6-dev (>= 25.08.2~),
                libkf6archive-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
-               libqmobipocket6-dev (>= 4:25.08.1~),
+               libqmobipocket6-dev (>= 4:25.08.2~),
                qt6-base-dev (>= 6.5.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers

## kdegraphics-thumbnailers 25.08.2+p24.04+vstable+git20251013.2230

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.08.2+p24.04+vstable+git20251013.2230-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 22:30:43 +0000

kdegraphics-thumbnailers (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:50:17 +0000

kdegraphics-thumbnailers (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:54:49 +0000

kdegraphics-thumbnailers (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:27:57 +0000

kdegraphics-thumbnailers (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:12:05 +0000

kdegraphics-thumbnailers (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:11:59 +0000

kdegraphics-thumbnailers (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:02:04 +0000

kdegraphics-thumbnailers (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:03:04 +0000

kdegraphics-thumbnailers (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:24:33 +0000

kdegraphics-thumbnailers (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:18:02 +0000

kdegraphics-thumbnailers (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:09:17 +0000

kdegraphics-thumbnailers (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:05:44 +0000

kdegraphics-thumbnailers (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:05:49 +0000

kdegraphics-thumbnailers (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:43:40 +0000

kdegraphics-thumbnailers (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:19:31 +0000

kdegraphics-thumbnailers (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:24:40 +0000

kdegraphics-thumbnailers (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:01:14 +0000

kdegraphics-thumbnailers (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:24:36 +0000

kdegraphics-thumbnailers (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:13:26 +0000

kdegraphics-thumbnailers (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:07:18 +0000

kdegraphics-thumbnailers (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:47:52 +0000

kdegraphics-thumbnailers (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 15:31:18 +0000

kdegraphics-thumbnailers (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:23:23 +0000

kdegraphics-thumbnailers (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 21:59:38 +0000

kdegraphics-thumbnailers (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:53:59 +0000

kdegraphics-thumbnailers (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:20:38 +0000

kdegraphics-thumbnailers (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:11:11 +0000

kdegraphics-thumbnailers (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:42:28 +0000

kdegraphics-thumbnailers (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:19:23 +0000

kdegraphics-thumbnailers (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:27:26 +0000

kdegraphics-thumbnailers (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:48:25 +0000

kdegraphics-thumbnailers (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:15:16 +0000

kdegraphics-thumbnailers (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:48:54 +0000

kdegraphics-thumbnailers (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:36:49 +0000

kdegraphics-thumbnailers (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:59:58 +0000

kdegraphics-thumbnailers (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:53:57 +0000

kdegraphics-thumbnailers (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:08:42 +0000

kdegraphics-thumbnailers (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 10:57:28 +0000

kdegraphics-thumbnailers (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:03:12 +0000

kdegraphics-thumbnailers (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 13:33:44 +0000

kdegraphics-thumbnailers (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:32:06 +0000



## kdegraphics-thumbnailers 25.08.2+p24.04+vstable+git20251016.0748

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.08.2+p24.04+vstable+git20251016.0748-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 07:48:03 +0000

=== debian/control ===
Source: kdegraphics-thumbnailers
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kio-dev,
               libkdcraw-dev,
               libkexiv2-dev,
               libqmobipocket-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kdegraphics-thumbnailers.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdegraphics-thumbnailers
Maintainer: Neon CI <neon@kde.org>

Package: kdegraphics-thumbnailers
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ghostscript
Breaks: kdegraphics-thumbnailers-5 (<< 4:24.02.0-1)
Replaces: kdegraphics-thumbnailers-5 (<< 4:24.02.0-1)
Description: graphics file format thumbnailers for KDE SC
 These plugins allow KDE software to create thumbnails for several
 advanced graphic file formats (PS, RAW).
 .
 This package is part of the KDE graphics module.

## kdegraphics-thumbnailers 25.08.3

=== mobipocket/CMakeLists.txt ===
kcoreaddons_add_plugin(mobithumbnail INSTALL_NAMESPACE "kf6/thumbcreator")

target_sources(mobithumbnail PRIVATE mobithumbnail.cpp)

target_link_libraries(mobithumbnail KF6::KIOCore KF6::KIOGui Qt::Gui)

target_link_libraries(mobithumbnail QMobipocket6)

=== raw/CMakeLists.txt ===
kcoreaddons_add_plugin(rawthumbnail INSTALL_NAMESPACE "kf6/thumbcreator")

target_sources(rawthumbnail PRIVATE
    rawcreator.cpp
)

target_link_libraries(rawthumbnail
    KF6::KIOGui
    Qt::Gui
)

target_link_libraries(rawthumbnail
    KDcrawQt6
    KExiv2Qt6
)

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:22:37 +0000

=== debian/control ===
Source: kdegraphics-thumbnailers
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               libkdcrawqt6-dev (>= 25.08.3~),
               libkexiv2qt6-dev (>= 25.08.3~),
               libkf6archive-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libqmobipocket6-dev (>= 4:25.08.3~),
               qt6-base-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-thumbnailers
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-thumbnailers
Rules-Requires-Root: no

Package: kdegraphics-thumbnailers
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: ghostscript,
Replaces: kdegraphics-mobipocket (<< 4:22.12.0-1),
Breaks: kdegraphics-mobipocket (<< 4:22.12.0-1),
Description: graphics file format thumbnailers for KDE SC
 These plugins allow KDE software to create thumbnails for several
 advanced graphic file formats (PS, RAW).
 .
 This package is part of the KDE graphics module.

## kdegraphics-thumbnailers 25.08.3+p24.04+vstable+git20251109.0054

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.08.3+p24.04+vstable+git20251109.0054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 09 Nov 2025 00:54:57 +0000

kdegraphics-thumbnailers (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:36:42 +1000

## kdegraphics-thumbnailers 25.08.3+p24.04+vunstable+git20251106.2236

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.08.3+p24.04+vunstable+git20251106.2236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 22:36:03 +0000

## kdegraphics-thumbnailers 25.11.80

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(kdegraphics-thumbnailers)

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMOptionalAddSubdirectory)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(ECMDeprecationSettings)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS KIO)
add_definitions(-DQT_USE_QSTRINGBUILDER)

option(DISABLE_BLENDER "Disable the blender thumbnailer." OFF)
option(DISABLE_MOBIPOCKET "Disable the mobipocket thumbnailer." OFF)

option(BUILD_FUZZERS "Whether to the thumbnail build fuzzers" OFF)
option(FUZZERS_USE_QT_MINIMAL_INTEGRATION_PLUGIN "Whether to use the Qt minimal integration plugin for fuzzers" OFF)

find_package(KExiv2Qt6)
set_package_properties(KExiv2Qt6    PROPERTIES
                       DESCRIPTION "A library for reading and writing image metadata"
                       URL         "www.kde.org"
                       TYPE        OPTIONAL
                       PURPOSE     "Required to build the RAW thumbnailer"
)

find_package(KDcrawQt6)
set_package_properties(KDcrawQt6    PROPERTIES
                       DESCRIPTION "A library for accessing raw files"
                       URL         "www.kde.org"
                       TYPE        OPTIONAL
                       PURPOSE     "Required to build the RAW thumbnailer"
)

if (DISABLE_MOBIPOCKET)
    set(MOBIPOCKET_REQUIRED_TYPE "OPTIONAL")
    set(DISABLE_MOBIPOCKET_TEXT "")
else()
    set(MOBIPOCKET_REQUIRED_TYPE "REQUIRED")
    set(DISABLE_MOBIPOCKET_TEXT "Disable with DISABLE_MOBIPOCKET")
endif()

find_package(QMobipocket6)
set_package_properties("QMobipocket6"    PROPERTIES
                    DESCRIPTION "A library for accessing mobipocket files"
                    URL         "www.kde.org"
                    TYPE        ${MOBIPOCKET_REQUIRED_TYPE}
                    PURPOSE     "Required to build the mobipocket thumbnailer. ${DISABLE_MOBIPOCKET_TEXT}"
)

ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.100.0)

ecm_optional_add_subdirectory(ps)

if(KExiv2Qt6_FOUND AND KDcrawQt6_FOUND)
ecm_optional_add_subdirectory(raw)
endif()

if (NOT DISABLE_BLENDER)
    find_package(KF6Archive ${KF_MIN_VERSION} REQUIRED)
    ecm_optional_add_subdirectory(blend)
endif()

if(QMobipocket6_FOUND OR QMobipocket_FOUND)
ecm_optional_add_subdirectory(mobipocket)
endif()

if(BUILD_FUZZERS)
    if(BUILD_SHARED_LIBS)
        message(FATAL_ERROR "Fuzzers can only be built with static libraries")
    else()
        add_subdirectory(autotests/ossfuzz)
    endif()
endif()

install(FILES org.kde.kdegraphics-thumbnailers.metainfo.xml
        DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/ossfuzz/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Azhar Momin <azhar.momin@kdemail.net>
# SPDX-License-Identifier: BSD-2-Clause

if(DEFINED ENV{LIB_FUZZING_ENGINE})
    set(fuzzing_engine $ENV{LIB_FUZZING_ENGINE})
else()
    if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
        set(fuzzing_engine -fsanitize=fuzzer)
    else()
        message(FATAL_ERROR "Fuzzing engine not supported")
    endif()
endif()

function(add_thumbnail_fuzzer creator creator_header target_lib)
    set(gen_src ${CMAKE_CURRENT_BINARY_DIR}/${target_lib}_fuzzer.cc)
    set(CREATOR "${creator}")
    set(CREATOR_HEADER "${creator_header}")
    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/kde_thumbnailers_fuzzer.cc.in
        ${gen_src}
        @ONLY
    )

    add_executable(${target_lib}_fuzzer
        ${gen_src}
    )

    kcoreaddons_target_static_plugins(${target_lib}_fuzzer
        LINK_OPTION PRIVATE
        TARGETS ${target_lib}
    )

    target_link_libraries(${target_lib}_fuzzer
        PRIVATE
            ${fuzzing_engine}
    )

    if(FUZZERS_USE_QT_MINIMAL_INTEGRATION_PLUGIN)
        qt_import_plugins(${target_lib}_fuzzer INCLUDE Qt::QMinimalIntegrationPlugin)
    endif()

    set_target_properties(${target_lib}_fuzzer PROPERTIES
        RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin/fuzzers
    )
endfunction()

add_thumbnail_fuzzer(GSCreator gscreator.h gsthumbnail)

if(KExiv2Qt6_FOUND AND KDcrawQt6_FOUND)
    add_thumbnail_fuzzer(RAWCreator rawcreator.h rawthumbnail)
endif()

if (NOT DISABLE_BLENDER)
    add_thumbnail_fuzzer(BlenderCreator blendercreator.h blenderthumbnail)
endif()

if(QMobipocket6_FOUND OR QMobipocket_FOUND)
    add_thumbnail_fuzzer(MobiThumbnail mobithumbnail.h mobithumbnail)
endif()

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:55:14 +0000

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
-               libkdcrawqt6-dev (>= 25.08.3~),
-               libkexiv2qt6-dev (>= 25.08.3~),
+               libkdcrawqt6-dev (>= 25.11.80~),
+               libkexiv2qt6-dev (>= 25.11.80~),
                libkf6archive-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
-               libqmobipocket6-dev (>= 4:25.08.3~),
+               libqmobipocket6-dev (>= 4:25.11.80~),
                qt6-base-dev (>= 6.5.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers

## kdegraphics-thumbnailers 25.11.90

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:03:29 +0000

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
-               libkdcrawqt6-dev (>= 25.11.80~),
-               libkexiv2qt6-dev (>= 25.11.80~),
+               libkdcrawqt6-dev (>= 25.11.90~),
+               libkexiv2qt6-dev (>= 25.11.90~),
                libkf6archive-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
-               libqmobipocket6-dev (>= 4:25.11.80~),
+               libqmobipocket6-dev (>= 4:25.11.90~),
                qt6-base-dev (>= 6.5.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers

## kdegraphics-thumbnailers 25.12.0

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:19:12 +0000

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
-               libkdcrawqt6-dev (>= 25.11.90~),
-               libkexiv2qt6-dev (>= 25.11.90~),
+               libkdcrawqt6-dev (>= 25.12.0~),
+               libkexiv2qt6-dev (>= 25.12.0~),
                libkf6archive-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
-               libqmobipocket6-dev (>= 4:25.11.90~),
+               libqmobipocket6-dev (>= 4:25.12.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers

## kdegraphics-thumbnailers 25.12.0+p24.04+vstable+git20251208.1315

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.12.0+p24.04+vstable+git20251208.1315-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 13:15:29 +0000

kdegraphics-thumbnailers (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:32:37 +1000

## kdegraphics-thumbnailers 25.12.1

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:51:00 +0000

kdegraphics-thumbnailers (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:01:50 +0000

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
-               libkdcrawqt6-dev (>= 25.12.0~),
-               libkexiv2qt6-dev (>= 25.12.0~),
+               libkdcrawqt6-dev (>= 25.12.1~),
+               libkexiv2qt6-dev (>= 25.12.1~),
                libkf6archive-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
-               libqmobipocket6-dev (>= 4:25.12.0~),
+               libqmobipocket6-dev (>= 4:25.12.1~),
                qt6-base-dev (>= 6.5.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers

## kdegraphics-thumbnailers 25.12.1+p24.04+vstable+git20260106.1509

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.12.1+p24.04+vstable+git20260106.1509-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 15:09:18 +0000

kdegraphics-thumbnailers (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:21:47 +1000
